Adornments in Angular TextArea

25 Sep 20268 minutes to read

The Angular TextArea component supports adornments that allow you to add custom elements before or after the textarea using the prependTemplate and appendTemplate properties. Adornment elements can include icons, text labels, or action buttons for formatting and content management. You can arrange adornments horizontally or vertically using the adornmentFlow and adornmentOrientation properties for flexible layouts.

Common Use Cases

  • Visual Indicators: Icons for context (e.g., edit, comment).
  • Formatting Tools: Buttons for bold, italic, underline.
  • Content Actions: Save, clear, or submit buttons.
  • Validation & Status: Character count or error icons.
  • Flexible Layout: Horizontal or vertical adornment flow.

Adding Adornments with Orientation to Angular TextArea

Use the prependTemplate and appendTemplate properties to add custom HTML content before and after the Angular TextArea.

  • prependTemplate: Renders elements before the textarea input.

  • appendTemplate: Renders elements after the textarea input.

Control how adornments are positioned and arranged using the adornmentFlow and adornmentOrientation properties. Both properties accept only Horizontal or Vertical values as defined in the AdornmentsDirection type.

  • adornmentFlow: Defines where adornments appear around the TextArea.
    • Horizontal: Prepend on the left, append on the right.
    • Vertical: Prepend above, append below.
  • adornmentOrientation: Defines how items inside each adornment are arranged.
    • Horizontal: Items displayed in a row.
    • Vertical: Items displayed in a column.

The following example demonstrates how to add adornments with orientation in the Angular TextArea control.

import { Component, ViewChild, ViewEncapsulation } from '@angular/core';
import { AdornmentsDirection, TextAreaComponent, TextAreaModule } from '@syncfusion/ej2-angular-inputs';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';

@Component({
  selector: 'app-root',
  styleUrls: ['.././index.css'],
  template: `
    <div class="col-lg-8 control-section adornment-textarea">
      <div class="content-wrapper">
        <div class="multiline-row">
          <ejs-textarea
            #iconTextarea
            floatLabelType="Auto"
            placeholder="Add a comment"
            cssClass="e-outline"
            [rows]="5"
            [cols]="250"
            resizeMode="None"
            [prependTemplate]="prependTemplate"
            [appendTemplate]="appendTemplate">
            <ng-template #prependTemplate>
              <span class="e-icons e-bold"></span>
              <span class="e-input-separator"></span>
              <span class="e-icons e-italic"></span>
              <span class="e-input-separator"></span>
            </ng-template>
            <ng-template #appendTemplate>
              <span class="e-input-separator"></span>
              <span class="e-icons e-save"></span>
              <span class="e-input-separator"></span>
              <span class="e-icons e-trash"></span>
            </ng-template>
          </ejs-textarea>
        </div>
      </div>
    </div>

    <div class="col-lg-4 property-section adornment-textarea">
      <div class="property-panel-section">
        <div class="property-panel-header">Properties</div>
        <div class="property-panel-content">
          <table id="property" title="Properties" class="multiline-property">
            <tr>
              <td> Flow Direction </td>
              <td>
                <ejs-dropdownlist
                  [dataSource]="flowOrientationData"
                  (change)="handleFlowOrientation($event)"
                  [index]="0"
                  popupHeight="200px">
                </ejs-dropdownlist>
              </td>
            </tr>
            <tr>
              <td> Orientation Direction </td>
              <td>
                <ejs-dropdownlist
                  [dataSource]="orientOrientationData"
                  (change)="handleOrientOrientation($event)"
                  [index]="0"
                  popupHeight="200px">
                </ejs-dropdownlist>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div>
  `,
  standalone: true,
  encapsulation: ViewEncapsulation.None,
  imports: [TextAreaModule, DropDownListModule]
})
export class AppComponent {
  // Definite assignment because Angular sets this after view init
  @ViewChild('iconTextarea', { static: false })
  public textareaObj!: TextAreaComponent;

  public flowOrientationData: string[] = ['Horizontal', 'Vertical'];
  public orientOrientationData: string[] = ['Horizontal', 'Vertical'];

  // Update Flow direction and adjust append template
  handleFlowOrientation = (args: any): void => {
    const val = (args?.value as AdornmentsDirection) ?? 'Horizontal';
    this.textareaObj.adornmentFlow = val;

    // Update the append template (string template is supported)
    this.textareaObj.appendTemplate =
      val === 'Horizontal'
        ? '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>'
        : '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';

    this.textareaObj.dataBind();
  };

  // Update Orientation direction and adjust append template
  handleOrientOrientation = (args: any): void => {
    const val = (args?.value as AdornmentsDirection) ?? 'Horizontal';
    this.textareaObj.adornmentOrientation = val;

    this.textareaObj.appendTemplate =
      val === 'Horizontal'
        ? '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>'
        : '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';

    this.textareaObj.dataBind();
  };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

You can view the demo here: Angular TextArea Adornments demo.

Adornments in React TextArea

Adornments enable custom elements (icons, text labels, or action buttons) to be added before or after the React TextArea using the prependTemplate and appendTemplate properties. Use adornmentFlow and adornmentOrientation to arrange adornments horizontally or vertically for flexible layouts.

Common Use Cases

  • Visual Indicators: Icons for context (e.g., edit, comment).
  • Formatting Tools: Buttons for bold, italic, underline.
  • Content Actions: Save, clear, or submit buttons.
  • Validation & Status: Character count or error icons.
  • Flexible Layout: Horizontal or vertical adornment flow.

Adding Adornments with Orientation to React TextArea

Use prependTemplate and appendTemplate to add custom HTML content before and after the React TextArea.

  • prependTemplate: Renders elements before the textarea.

  • appendTemplate: Renders elements after the textarea.

You can control how adornments are positioned and arranged using the adornmentFlow and adornmentOrientation properties. Both properties accept only Horizontal or Vertical values defined in the AdornmentsDirection type.

  • adornmentFlow: Defines where adornments appear around the React TextArea.
    • Horizontal: Prepend on the left, append on the right.
    • Vertical: Prepend above, append below.
  • adornmentOrientation: Defines how items inside each adornment are arranged.
    • Horizontal: Items displayed in a row.
    • Vertical: Items displayed in a column.

The following example demonstrates how to add adornments with orientation in the React TextArea control.

[Class-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
import { Component } from 'react';
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';

export default class App extends Component {
  constructor(props) {
    super(props);
    this.rows = 5;
    this.cols = 250;
    this.cols2 = 500;
  }

  floatFocus = (args) => {
    args.target.parentElement.classList.add('e-input-focus');
  };

  floatBlur = (args) => {
    args.target.parentElement.classList.remove('e-input-focus');
  };

  render() {
    return (
      <div className='control-pane'>
        <div id="textarea-sample" className='control-section input-content-wrapper'>
          <div className="row custom-margin material">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Outlined and Filled</b>
            </div>
          </div>
          <div className="row custom-margin custom-padding-5 material">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <TextAreaComponent
                placeholder="Outlined"
                cssClass="e-outline"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols}
              />
            </div>
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <TextAreaComponent
                placeholder="Filled"
                cssClass="e-filled"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols}
              />
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Please leave a comment</b>
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-12 col-sm-12 col-lg-12 col-md-12">
              <TextAreaComponent
                placeholder="Enter your comments"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols2}
              />
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Validation States</b>
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-success">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Success"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-warning">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Warning"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-error">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Error"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<App />,document.getElementById('sample'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { Component, FocusEvent } from 'react';
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';

interface TextAreaEvent extends FocusEvent<HTMLTextAreaElement> {
  target: HTMLTextAreaElement;
}
export default class App extends Component {
  private rows: number = 5;
  private cols: number = 250;
  private cols2: number = 500;

  floatFocus = (args: TextAreaEvent): void => {
    args.target.parentElement?.classList.add('e-input-focus');
  };

  floatBlur = (args: TextAreaEvent): void => {
    args.target.parentElement?.classList.remove('e-input-focus');
  };

  render() {
    return (
      <div className='control-pane'>
        <div id="textarea-sample" className='control-section input-content-wrapper'>
          <div className="row custom-margin material">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Outlined and Filled</b>
            </div>
          </div>
          <div className="row custom-margin custom-padding-5 material">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <TextAreaComponent
                placeholder="Outlined"
                cssClass="e-outline"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols}
              />
            </div>
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <TextAreaComponent
                placeholder="Filled"
                cssClass="e-filled"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols}
              />
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Please leave a comment</b>
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-12 col-sm-12 col-lg-12 col-md-12">
              <TextAreaComponent
                placeholder="Enter your comments"
                floatLabelType="Auto"
                rows={this.rows}
                cols={this.cols2}
              />
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <b>Validation States</b>
            </div>
          </div>
          <div className="row custom-margin">
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-success">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Success"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-warning">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Warning"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
            <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
              <div className="e-input-group e-error">
                <textarea
                  className="e-input"
                  onFocus={this.floatFocus}
                  onBlur={this.floatBlur}
                  placeholder="Error"
                  rows={this.rows}
                  cols={this.cols}
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<App />,document.getElementById('sample'));

You can view the demo here: TextArea Adornments demo.

[Functional-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';

function App() {
  const rows = 5;
  const cols = 250;
  const cols2 = 500;

  const floatFocus = (args) => {
    args.target.parentElement.classList.add('e-input-focus');
  };

  const floatBlur = (args) => {
    args.target.parentElement.classList.remove('e-input-focus');
  };

  return (
    <div className='control-pane'>
      <div id="textarea-sample" className='control-section input-content-wrapper'>
        <div className="row custom-margin material">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Outlined and Filled</b>
          </div>
        </div>
        <div className="row custom-margin custom-padding-5 material">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <TextAreaComponent
              placeholder="Outlined"
              cssClass="e-outline"
              floatLabelType="Auto"
              rows={rows}
              cols={cols}
            />
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <TextAreaComponent
              placeholder="Filled"
              cssClass="e-filled"
              floatLabelType="Auto"
              rows={rows}
              cols={cols}
            />
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Please leave a comment</b>
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-12 col-sm-12 col-lg-12 col-md-12">
            <TextAreaComponent
              placeholder="Enter your comments"
              floatLabelType="Auto"
              rows={rows}
              cols={cols2}
            />
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Validation States</b>
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-success">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Success"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-warning">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Warning"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-error">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Error"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

ReactDOM.render(<App />,document.getElementById('sample'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { FC, FocusEvent } from 'react';
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';

function App(){
  const rows: number = 5;
  const cols: number = 250;
  const cols2: number = 500;

  const floatFocus = (args: FocusEvent<HTMLTextAreaElement>): void => {
    args.target.parentElement?.classList.add('e-input-focus');
  };

  const floatBlur = (args: FocusEvent<HTMLTextAreaElement>): void => {
    args.target.parentElement?.classList.remove('e-input-focus');
  };

  return (
    <div className='control-pane'>
      <div id="textarea-sample" className='control-section input-content-wrapper'>
        <div className="row custom-margin material">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Outlined and Filled</b>
          </div>
        </div>
        <div className="row custom-margin custom-padding-5 material">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <TextAreaComponent
              placeholder="Outlined"
              cssClass="e-outline"
              floatLabelType="Auto"
              rows={rows}
              cols={cols}
            />
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <TextAreaComponent
              placeholder="Filled"
              cssClass="e-filled"
              floatLabelType="Auto"
              rows={rows}
              cols={cols}
            />
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Please leave a comment</b>
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-12 col-sm-12 col-lg-12 col-md-12">
            <TextAreaComponent
              placeholder="Enter your comments"
              floatLabelType="Auto"
              rows={rows}
              cols={cols2}
            />
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <b>Validation States</b>
          </div>
        </div>
        <div className="row custom-margin">
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-success">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Success"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-warning">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Warning"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
          <div className="col-xs-4 col-sm-4 col-lg-4 col-md-4">
            <div className="e-input-group e-error">
              <textarea
                className="e-input"
                onFocus={floatFocus}
                onBlur={floatBlur}
                placeholder="Error"
                rows={rows}
                cols={cols}
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};
ReactDOM.render(<App />,document.getElementById('sample'));

You can view the demo here: TextArea Adornments demo.

Adornments in Vue TextArea

20 Aug 202621 minutes to read

Adornments allow you to add custom elements before or after the TextArea using the prependTemplate and appendTemplate properties. These elements can include icons, text labels, or action buttons for formatting and content management. With orientation support, you can arrange adornments horizontally or vertically using adornmentFlow and adornmentOrientation for flexible layouts.

Common Use Cases

  • Visual Indicators: Icons for context (e.g., edit, comment).
  • Formatting Tools: Buttons for bold, italic, underline.
  • Content Actions: Save, clear, or submit buttons.
  • Validation & Status: Character count or error icons.
  • Flexible Layout: Horizontal or vertical adornment flow.

Adding Adornments with Orientation to TextArea

Use prependTemplate and appendTemplate to add custom HTML content before and after the TextArea.

  • prependTemplate: Renders elements before the textarea.

  • appendTemplate: Renders elements after the textarea.

You can control how adornments are positioned and arranged using the adornmentFlow and adornmentOrientation properties. Both properties accept only Horizontal or Vertical values defined in the AdornmentsDirection type.

  • adornmentFlow: Defines where adornments appear around the TextArea.
    • Horizontal: Prepend on the left, append on the right.
    • Vertical: Prepend above, append below.
  • adornmentOrientation: Defines how items inside each adornment are arranged.
    • Horizontal: Items displayed in a row.
    • Vertical: Items displayed in a column.

The following example demonstrates how to add adornments with orientation in the TextArea control.

<template>
    <div>
        <div class="col-lg-8 control-section adornment-textarea">
            <div class="content-wrapper">
                <div class="multiline-row">
                    <ejs-textarea 
                        id="iconTextarea" 
                        floatLabelType="Auto" 
                        resizeMode="None" 
                        cssClass="e-outline" 
                        rows="5" 
                        cols="250" 
                        placeholder="Edit the Textarea" 
                        :prependTemplate="'prependTemplate'" 
                        :appendTemplate="'appendTemplate'">
                        <template v-slot:prependTemplate>
                            <span class="e-icons e-bold"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-italic"></span>
                            <span class="e-input-separator"></span>
                        </template>
                        <template v-slot:appendTemplate>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-save"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-trash"></span>
                        </template>
                    </ejs-textarea>
                </div>
            </div>
        </div>  

        <div class="col-lg-4 property-section adornment-textarea">
            <table id="property" title="Properties" class="multiline-property">
                <tr>
                    <td> Flow Direction </td>
                    <td>
                        <ejs-dropdownlist 
                            id="flow-orientation" 
                            :dataSource="flowOrientationData" 
                            :index="index" 
                            :change="handleflowOrientation" 
                            popupHeight="200px">
                        </ejs-dropdownlist>
                    </td>
                </tr>
                <tr>
                    <td> Orientation Direction </td>
                    <td>
                        <ejs-dropdownlist 
                            id="orient-orientation" 
                            :dataSource="orientOrientationData" 
                            :index="index" 
                            :change="handleOrientOrientation" 
                            popupHeight="200px">
                        </ejs-dropdownlist>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</template>

<style>
    .adornment-textarea .content-wrapper div.multiline-row {
        margin: 0 auto;
        padding: 40px 0px 0px;
    }
    .adornment-textarea.control-section {
        padding-top: 0 !important;
    }
    .adornment-textarea .property-panel-content td {
        padding: 10px 0px;
        width: 50%;
    }
    .material3 .adornment-textarea .e-label-bottom,
    .material3-dark .adornment-textarea .e-label-bottom {
        top: -5px !important;
    }
    .fluent2 .adornment-textarea .e-label-bottom,
    .fluent2-dark .adornment-textarea .e-label-bottom {
        top: -10px !important;
    }
</style>

<script setup>
import { ref } from 'vue';
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";
import { getComponent } from '@syncfusion/ej2-base';

// Data properties
const flowOrientationData = ref(['Horizontal', 'Vertical']);
const orientOrientationData = ref(['Horizontal', 'Vertical']);
const index = ref(0);

// Methods
const handleflowOrientation = (args) => {
    const textAreaObj = getComponent(document.getElementById('iconTextarea'), 'textarea');
    textAreaObj.adornmentFlow = args.value;
    textAreaObj.appendTemplate = (args.value === 'Horizontal') ?
        '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>' :
        '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';
    textAreaObj.dataBind();
};

const handleOrientOrientation = (args) => {
    const textAreaObj = getComponent(document.getElementById('iconTextarea'), 'textarea');
    textAreaObj.adornmentOrientation = args.value;
    textAreaObj.appendTemplate = (args.value === 'Horizontal') ?
        '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>' :
        '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';
    textAreaObj.dataBind();
};
</script>
<template>
    <div>
        <div class="col-lg-8 control-section adornment-textarea">
            <div class="content-wrapper">
                <div class="multiline-row">
                    <ejs-textarea id="iconTextarea" floatLabelType="Auto" resizeMode="None" cssClass="e-outline" rows="5" cols="250" placeholder="Edit the Textarea" :prependTemplate="'prependTemplate'" :appendTemplate="'appendTemplate'">
                        <template v-slot:prependTemplate>
                            <span class="e-icons e-bold"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-italic"></span>
                            <span class="e-input-separator"></span>
                        </template>
                        <template v-slot:appendTemplate>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-save"></span>
                            <span class="e-input-separator"></span>
                            <span class="e-icons e-trash"></span>
                        </template>
                    </ejs-textarea>
                </div>
            </div>
        </div>  

        <div class="col-lg-4 property-section adornment-textarea">
            <table id="property" title="Properties" class="multiline-property">
                <tr>
                    <td> Flow Direction </td>
                    <td>
                        <ejs-dropdownlist id="flow-orientation" :dataSource="flowOrientationData" :index="index" :change="handleflowOrientation" popupHeight="200px"></ejs-dropdownlist>
                    </td>
                </tr>
                <tr>
                    <td> Orientation Direction </td>
                    <td>
                        <ejs-dropdownlist id="orient-orientation" :dataSource="orientOrientationData" :index="index" :change="handleOrientOrientation" popupHeight="200px"></ejs-dropdownlist>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</template>

<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";
import { getComponent } from '@syncfusion/ej2-base';

export default {
    data: function() {
        return {
            flowOrientationData: ['Horizontal', 'Vertical'],
            orientOrientationData: ['Horizontal', 'Vertical'],
            index: 0,
        };
    },
    components: { 
        'ejs-textarea': TextAreaComponent,
        'ejs-dropdownlist': DropDownListComponent
    },
    mounted: function() {
        
    },
    methods: {
        handleflowOrientation: function (args) {
            var textAreaObj = getComponent(document.getElementById('iconTextarea'), 'textarea');
            textAreaObj.adornmentFlow = args.value;
            textAreaObj.appendTemplate = (args.value === 'Horizontal') ?
                '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>' :
                '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';
            textAreaObj.dataBind();
        },
        handleOrientOrientation: function (args) {
            var textAreaObj = getComponent(document.getElementById('iconTextarea'), 'textarea');
            textAreaObj.adornmentOrientation = args.value;
            textAreaObj.appendTemplate = (args.value === 'Horizontal') ?
                '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>' :
                '<span class="e-input-separator"></span><span class="e-icons e-save"></span><span class="e-input-separator"></span><span class="e-icons e-trash"></span>';
            textAreaObj.dataBind();
        }
	}
};

</script>
<style>
    .adornment-textarea .content-wrapper div.multiline-row {
        margin: 0 auto;
        padding: 40px 0px 0px;
    }
    .adornment-textarea.control-section {
        padding-top: 0 !important;
    }
    .adornment-textarea .property-panel-content td {
        padding: 10px 0px;
        width: 50%;
    }
    .material3 .adornment-textarea .e-label-bottom,
    .material3-dark .adornment-textarea .e-label-bottom {
        top: -5px !important;
    }
    .fluent2 .adornment-textarea .e-label-bottom,
    .fluent2-dark .adornment-textarea .e-label-bottom {
        top: -10px !important;
    }
</style>

You can view the demo here: TextArea Adornments demo.